%global majorversion 1.13

Name:           nfoview
Version:        1.13
Release:        1%{?dist}
Summary:        Viewer for NFO files

License:        GPLv3+
URL:            http://home.gna.org/nfoview/
Source0:        http://download.gna.org/nfoview/%{majorversion}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pygobject3-devel

BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       shared-mime-info
Requires:       hicolor-icon-theme
Requires:       python3-gobject

%if 0%{?fedora} >= 11
Requires:       terminus-fonts
%else
Requires:       terminus-font-x11
%endif

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
rm -rf %{buildroot}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
%find_lang %{name}
desktop-file-install                                        \
    --add-category="TextTools;"                             \
    --remove-category="Viewer;"                             \
    --delete-original                                       \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
%{_mandir}/man*/%{name}.*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png

%changelog
* Wed Jul 31 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.13-1
- Updated to new upstream version 1.13

* Tue Apr 16 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.12.1-1
- Updated to new upstream version 1.12.1

* Tue Apr 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.12-1
- Updated to new upstream version 1.12

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 05 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.11-1
- Updated to new upstream version 1.11

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 1.10-5
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 18 2011 Conrad Meyer <konrad@tylerc.org> - 1.10-2
- Add missing Requires on python3-gobject (#765643)

* Sun Nov 13 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.10-1
- BRs updated
- Updated to new upstream version 1.10

* Thu Jun 02 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.5-1
- Updated to new upstream version 1.9.5

* Wed Apr 06 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.4-1
- Updated to new upstream version 1.9.4

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.3-1
- Updated to new upstream version 1.9.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 08 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.2-1
- Updated to new upstream version 1.9.2

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jun 26 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.1-1
- Update to 1.9.1
- Require shared-mime-info

* Sun Oct 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.8-1
- Updated to new upstream version 1.8
- The icons need now hicolor-icon-theme

* Tue Sep 29 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.7-1
- Updated to new upstream version 1.7

* Thu Sep 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.6-1
- Updated to new upstream version 1.6

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.5-3
- Use bzipped upstream tarball.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.5-1
- Update to 1.5
- Fix conditional comparison that caused broken deps in Fedora 9

* Sat May 02 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4-3
- Small changes around the desktop file

* Sat Apr 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4-2
- Removed PKG-INFO from doc
- Fixed requiements
- Added update-desktop-database
- Fixed category for the .desktop file
- Added patch for German translation

* Sun Apr 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4-1
- Initial package for Fedora
